package org.gcube.portlets.user.geoportaldataviewer.server.mongoservice.accessidentity;

import javax.servlet.http.HttpServletRequest;

import org.gcube.portlets.user.geoportaldataviewer.server.util.SessionUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class UserIdentity implements GcubeIdentity {

	private static final Logger LOG = LoggerFactory.getLogger(UserIdentity.class);

	public UserIdentity() {
	}

	@Override
	public void setIdentity(HttpServletRequest httpRequest) throws Exception {
		LOG.info("setIdentity called");
		SessionUtil.getCurrentToken(httpRequest, true);

	}

	@Override
	public void resetIdentity() {
		LOG.info("resetIdentity called, doing nothing");
		// doing nothing
	}
}
